
%define __libtoolize    /bin/true

%define	name	k3b
%define	version	0.12.4a
%define	i18nver	0.12.4a
%define	rel	1
%define release %mkrel %rel
%define	Summary	CD-Burner for KDE3
%define	major	2
%define	libname	%mklibname %name %major
%define oldlibname %mklibname %name 1

# TODO before MDV2006 remove debug
%define unstable 0


Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Archiving/Cd burning
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-i18n-%{i18nver}.tar.bz2
Patch1:		k3b-0.11.1-dont-display-messagebox.patch.bz2

Patch3:		k3b-0.11.1-fix-load-config.patch.bz2
Patch4:		k3b-fix-kernel-2.8.1.patch.bz2
Patch6:		k3b-fix-translate.patch.bz2
Patch7:		k3b-0.12.3-diff-20050906.patch
Patch8:		k3b-0.12.3-fix-x86_64-crash.patch

URL: 		http://www.k3b.org/
Requires: 	cdrecord mkisofs cdrdao sox 
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%if %mdkversion < 920
BuildRequires:  libcdda0-devel
BuildRequires:  kdelibs-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng3-devel
BuildRequires:  XFree86-devel
BuildRequires:	libmad0-devel
BuildRequires:  libarts-devel
BuildRequires:  libart_lgpl2-devel
BuildRequires:  libfam-devel
BuildRequires:  libaudiofile0-devel
BuildRequires:  libalsa2-devel
BuildRequires:  libvorbis0-devel
BuildRequires:  libnas2-devel
%else
BuildRequires:  libcdda-devel
BuildRequires:  kdelibs-devel 
BuildRequires:  jpeg-devel
BuildRequires:  png-devel
BuildRequires:  XFree86-devel
BuildRequires:  mad-devel
BuildRequires:  arts-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  fam-devel
BuildRequires:  audiofile-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  libvorbis-devel
BuildRequires:  nas-devel libflac++-devel
BuildRequires:	autoconf2.5 automake >= 1.7
BuildRequires:	id3lib-devel MesaGLU-devel
BuildRequires:	taglib-devel musicbrainz-devel ffmpeg-devel
BuildRequires:	libsndfile-devel	
%endif

Obsoletes:	kde3-k3b
Provides:	kde3-k3b
Conflicts:	k3b <= 0.9-3mdk
Requires:	%libname = %version-%release

%description
K3b is CD-writing software which intends to be feature-rich and 
provide an easily usable interface. Features include burning 
audio CDs from .WAV and .MP3 audio files, configuring external 
programs and configuring devices. 


%package -n	k3b-dvd
Group:		Archiving/Cd burning
Summary:	k3b with DVD support
Requires:	%name
Requires:	dvd+rw-tools

%description -n k3b-dvd
K3b with requires for dvd


%package -n	%libname
Group: 		System/Libraries
Summary: 	Libraries for %name
Provides: 	lib%name = %version-%release
Conflicts: 	k3b <= 0.9-3mdk
Obsoletes:	%oldlibname

%description -n	%libname
The libraries from %name package

%package -n	%libname-devel
Group: 		Development/Other
Summary: 	Libraries for %name
Requires:	%libname = %version-%release
Provides:	lib%name-devel = %version-%release
Provides: 	%{name}-devel = %{version}-%{release}
Obsoletes:	%oldlibname-devel
Obsoletes:	%{name}-devel
Conflicts: 	k3b <= 0.9-3mdk

%description -n	%libname-devel
Development libraries from %name

%prep
%setup -q -c -n %{name}
%setup -q -T -D -c -a 1 -n %{name}

cd $RPM_BUILD_DIR/%{name}/%{name}-%{version}
#patch1 -p1 -b .dont_display_messagebox
#%patch4 -p1 -b .fix_k3b_2_6_8_1
#%patch7 -p1 -b .diff_20050804
%patch8 -p1 -b .fix_x86_64_crash
cd -


%build
export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix
export LD_LIBRARY_PATH=$QTDIR/%{_lib}:$KDEDIR/%{_lib}:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
export QTLIB=$QTDIR/%{_lib}

####### --without-flac for the moment it doesn't compile with flac

cd $RPM_BUILD_DIR/%{name}/%{name}-%{version}
make -f admin/Makefile.common
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%configure --disable-rpath \
	    --datadir=%_datadir \
		--enable-new-ldflags \
		--enable-final \
		--without-flac \
		--without-musepack \
%if %unstable
		--enable-debug=full
%else
		--disable-debug
%endif

%make 
cd -

cd $RPM_BUILD_DIR/%{name}/%{name}-i18n-%{i18nver}
make -f admin/Makefile.common
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%configure --disable-rpath \
            --datadir=%_datadir \
            --disable-debug
# Necessary to regenerate po file !!!! Otherwise it's not generated
make clean
find -name *.gmo | xargs rm -f
%make
cd -


%install
rm -rf %buildroot
mkdir -p %buildroot/%_datadir/applnk/Multimedia

cd $RPM_BUILD_DIR/%{name}/%{name}-%{version}
%makeinstall
cd -

cd $RPM_BUILD_DIR/%{name}/%{name}-i18n-%{i18nver}
%makeinstall
cd -

install -d %buildroot/%_menudir/
install -d %buildroot/%_datadir/applications/kde/
kdedesktop2mdkmenu.pl %{name} "Applications/Archiving/CD Burning" %buildroot/%_datadir/applications/kde/%{name}.desktop %buildroot/%_menudir/%{name} 
kdedesktop2mdkmenu.pl %{name} Configuration/KDE/System %buildroot/%_datadir/applnk/Settings/System/k3bsetup2.desktop %buildroot/%_menudir/k3b-k3bsetup2 kde
kdedesktop2mdkmenu.pl %{name} .hidden %buildroot/%_datadir/applnk/.hidden/k3b-cue.desktop %buildroot/%_menudir/k3b-cue kde

#Necessary to change title otherwise menu program didn't create twice menu entry with same name
perl -pi -e "s/K3b/K3b-cue/"  %buildroot/%_menudir/k3b-cue

kdedesktop2mdkmenu.pl %{name} .hidden %buildroot/%_datadir/applnk/.hidden/k3b-iso.desktop %buildroot/%_menudir/k3b-iso kde
perl -pi -e "s/K3b/K3b-iso/"  %buildroot/%_menudir/k3b-iso

############"FIXME for next MDK release
###createmdkmenu.sh %buildroot/%_datadir/applnk/Settings/System/k3bsetup2.desktop Configuration-KDE-System-mdk kde

#kdedesktop2mdkmenu.pl %{name} Configuration/KDE/System %buildroot/%_datadir/applnk/Settings/System/k3bsetup2.desktop %buildroot/%_menudir/k3bsetup2 kde

#kdedesktop2mdkmenu.pl %{name} "Applications/Archiving/Cd burning" %buildroot/%_datadir/applnk/Multimedia/k3bsetup.desktop %buildroot/%_menudir/k3bsetup
#fix menu warning
echo >> %buildroot/%_menudir/%{name}

#cat %buildroot/%_menudir/k3bsetup >> %buildroot/%_menudir/k3b
#icons for rpmlint
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir}
ln -s %_datadir/icons/crystalsvg/48x48/apps/%{name}.png %buildroot/%_liconsdir
ln -s %_datadir/icons/crystalsvg/32x32/apps/%{name}.png %buildroot/%_iconsdir
ln -s %_datadir/icons/crystalsvg/16x16/apps/%{name}.png %buildroot/%_miconsdir

# Remove icons in servicemenu
cd %buildroot/%_datadir/apps/konqueror/servicemenus/
for i in *.desktop
		do perl -pi -e "s|Icon.*||" $i
done
cd -				

%find_lang %{name}
%find_lang k3bsetup
%find_lang libk3b
%find_lang libk3bdevice

cat k3bsetup.lang libk3b.lang libk3bdevice.lang >> %{name}.lang

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf %buildroot

%files -f %{name}.lang
%defattr (-,root,root)
%doc %{name}-%{version}/AUTHORS %{name}-%{version}/COPYING %{name}-%{version}/INSTALL %{name}-%{version}/ChangeLog %{name}-%{version}/README %{name}-%{version}/TODO
 #%doc %{_docdir}/HTML/en/%{name}




%dir %_docdir/HTML/da/
%dir %_docdir/HTML/da/k3b/
%doc %_docdir/HTML/da/k3b/common
%doc %_docdir/HTML/da/k3b/*.docbook
%doc %_docdir/HTML/da/k3b/*.bz2

%dir %_docdir/HTML/de/
%dir %_docdir/HTML/de/k3b/
%doc %_docdir/HTML/de/k3b/common
%doc %_docdir/HTML/de/k3b/*.docbook
%doc %_docdir/HTML/de/k3b/*.bz2
%doc %_docdir/HTML/de/k3b/*.png

%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/k3b/
%doc %_docdir/HTML/en/k3b/common
%doc %_docdir/HTML/en/k3b/*.docbook
%doc %_docdir/HTML/en/k3b/*.bz2
%doc %_docdir/HTML/en/k3b/*.png

%dir %_docdir/HTML/es/
%dir %_docdir/HTML/es/k3b/
%doc %_docdir/HTML/es/k3b/common
%doc %_docdir/HTML/es/k3b/*.docbook
%doc %_docdir/HTML/es/k3b/*.bz2

%dir %_docdir/HTML/et/
%dir %_docdir/HTML/et/k3b/
%doc %_docdir/HTML/et/k3b/common
%doc %_docdir/HTML/et/k3b/*.docbook
%doc %_docdir/HTML/et/k3b/*.bz2

%dir %_docdir/HTML/fr/
%dir %_docdir/HTML/fr/k3b/
%doc %_docdir/HTML/fr/k3b/common
%doc %_docdir/HTML/fr/k3b/*.docbook
%doc %_docdir/HTML/fr/k3b/*.bz2

%dir %_docdir/HTML/pl/
%dir %_docdir/HTML/pl/k3b/
%doc %_docdir/HTML/pl/k3b/common
%doc %_docdir/HTML/pl/k3b/*.docbook
%doc %_docdir/HTML/pl/k3b/*.bz2
%doc %_docdir/HTML/pl/k3b/*.png

%dir %_docdir/HTML/pt/
%dir %_docdir/HTML/pt/k3b/
%doc %_docdir/HTML/pt/k3b/common
%doc %_docdir/HTML/pt/k3b/*.docbook
%doc %_docdir/HTML/pt/k3b/*.bz2


%dir %_docdir/HTML/ru/
%dir %_docdir/HTML/ru/k3b/
%doc %_docdir/HTML/ru/k3b/common
%doc %_docdir/HTML/ru/k3b/*.docbook
%doc %_docdir/HTML/ru/k3b/*.bz2

%dir %_docdir/HTML/sv/
%dir %_docdir/HTML/sv/k3b/
%doc %_docdir/HTML/sv/k3b/common
%doc %_docdir/HTML/sv/k3b/*.docbook
%doc %_docdir/HTML/sv/k3b/*.bz2
%doc %_docdir/HTML/sv/k3b/*.png

%doc %_docdir//HTML/it/k3b/common
%doc %_docdir/HTML/it/k3b/index.cache.bz2
%doc %_docdir/HTML/it/k3b/*.docbook
   
%doc %_docdir/HTML/nl/k3b/common
%doc %_docdir/HTML/nl/k3b/*.docbook
%doc %_docdir/HTML/nl/k3b/index.cache.bz2
   
%doc %_docdir/HTML/pt_BR/k3b/common
%doc %_docdir/HTML/pt_BR/k3b/index.cache.bz2
%doc %_docdir/HTML/pt_BR/k3b/*.docbook



%_bindir/*
%_menudir/*
%_datadir/applications/kde/*
%_datadir/applnk/Settings/*
%_datadir/apps/konqueror/servicemenus/*
%_datadir/mimelnk/application/*

%dir %_datadir/apps/%{name}/
%_datadir/apps/%{name}/*
#%_datadir/icons/crystalsvg/16x16/apps/*.png
#%_datadir/icons/crystalsvg/32x32/apps/*.png
#%_datadir/icons/crystalsvg/48x48/apps/*.png
#%_datadir/icons/crystalsvg/64x64/apps/*.png
#%_datadir/icons/crystalsvg/128x128/apps/*.png
%_liconsdir/%{name}.png
%_iconsdir/%{name}.png
%_miconsdir/%{name}.png

%_datadir/sounds/*.wav


%_datadir/applnk/.hidden/*.desktop

%_datadir/icons/hicolor/16x16/apps/k3b.png
%_datadir/icons/hicolor/22x22/apps/k3b.png
%_datadir/icons/hicolor/32x32/apps/k3b.png
%_datadir/icons/hicolor/48x48/apps/k3b.png
%_datadir/icons/hicolor/64x64/apps/k3b.png
%_datadir/icons/hicolor/128x128/apps/k3b.png



%files -n k3b-dvd

%files -n %libname
%defattr(-,root,root)
%doc %{name}-%{version}/AUTHORS %{name}-%{version}/COPYING %{name}-%{version}/INSTALL %{name}-%{version}/ChangeLog %{name}-%{version}/README %{name}-%{version}/TODO
%_libdir/libk3baudiometainforenamerplugin.la
%_libdir/libk3baudiometainforenamerplugin.so
%_libdir/kde3/libk3bexternalencoder.la
%_libdir/kde3/libk3bexternalencoder.so
%_libdir/kde3/libk3bmaddecoder.la
%_libdir/kde3/libk3bmaddecoder.so
%_libdir/kde3/libk3boggvorbisdecoder.la
%_libdir/kde3/libk3boggvorbisdecoder.so
%_libdir/kde3/libk3boggvorbisencoder.la
%_libdir/kde3/libk3boggvorbisencoder.so
%_libdir/kde3/libk3bffmpegdecoder.la
%_libdir/kde3/libk3bffmpegdecoder.so
%_libdir/kde3/libk3blameencoder.la
%_libdir/kde3/libk3blameencoder.so

%_libdir/kde3/libk3bsoxencoder.la
%_libdir/kde3/libk3bsoxencoder.so

%_libdir/kde3/libk3blibsndfiledecoder.la
%_libdir/kde3/libk3blibsndfiledecoder.so

%_libdir/kde3/libk3bwavedecoder.la
%_libdir/kde3/libk3bwavedecoder.so


%_libdir/kde3/libk3bartsoutputplugin.la
%_libdir/kde3/libk3bartsoutputplugin.so

%_libdir/kde3/kcm_k3bsetup2.la
%_libdir/kde3/kcm_k3bsetup2.so

%_libdir/libk3b.la
%_libdir/libk3b.so.*

%_libdir/libk3bdevice.so.*
%_libdir/libk3bdevice.la


%_libdir/libk3baudioprojectcddbplugin.la
%_libdir/libk3baudioprojectcddbplugin.so

%files -n %libname-devel
%defattr (-,root,root)
%doc %{name}-%{version}/AUTHORS %{name}-%{version}/COPYING %{name}-%{version}/INSTALL %{name}-%{version}/ChangeLog %{name}-%{version}/README %{name}-%{version}/TODO
%_includedir/*.h
%_libdir/libk3bdevice.so
%_libdir/libk3b.so




%changelog
* Tue Sep 13 2005 Isenmann Daniel <rpm@mandrivauser.de> 0.12.4a-1mud
- rebuild for Mandriva 10.1

* Tue Sep 13 2005 AndyRTR <rpm@mandrivauser.de> 0.12.4a-1mud
- 0.12.4a
- drop patch 7
- fix file list

* Tue Sep 06 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-09-06 11:40:12 (814)
- Last sync

* Tue Aug 16 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-08-16 03:58:48 (649)
- New diff

* Sat Aug 13 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-08-13 09:39:38 (624)
- New sync

* Mon Aug 08 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-08-08 06:28:22 (547)
- Fix compile error

* Mon Aug 08 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-08-08 04:44:09 (546)
- Sync with k3b branch (add all changes from this WE)

* Thu Aug 04 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-08-04 13:47:43 (533)
- Fix crash on x86_64

* Thu Aug 04 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-08-04 12:38:03 (532)
- Add diff from branch

* Thu Aug 04 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-08-04 07:54:31 (529)
- Fix lang

* Thu Aug 04 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-08-04 06:22:07 (528)
- Add enable-final

* Sat Jul 30 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-07-30 03:17:44 (468)
- 0.12.3

* Fri Jul 22 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-07-22 06:10:46 (408)
- Fix buildrequires bug found by nicolas Chipaux

* Mon Jul 18 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-07-18 04:49:41 (376)
- 0.12.2

* Thu Jul 07 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-07-07 07:51:37 (330)
- Rebuild for x86_64

* Mon Jun 20 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-06-20 04:11:07 (223)
- Update

* Tue Jun 14 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-06-14 02:53:15 (204)
- Update 0.12

* Tue May 24 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-05-24 14:27:54 (5)
- Uploading package ./k3b

%changelog
* Sun Jun 19 2005 Laurent MONTEL <lmontel@mandriva.com> 0.12.1-1mdk
- 0.12.1

* Thu May 12 2005 Laurent MONTEL <lmontel@mandriva.com> 0.12-0.beta1.1mdk
- first k3b 0.12 beta1

* Wed May 11 2005 Laurent MONTEL <lmontel@mandriva.com> 0.11.24-1mdk
- 0.11.24

* Mon May 02 2005 Laurent MONTEL <lmontel@mandriva.com> 0.11.23-2mdk
- Rebuild with new libflac

* Thu Apr 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.23-1mdk
- 0.11.23

* Thu Mar 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.20-7mdk
- Add patch14: fix welcome widget crash

* Tue Mar 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.20-6mdk
- Add patch12: "Always close DVD when writing iso image as default."
			   "Use incremental seqeuntial writing mode as default for DVD-R(W)."
- Add patch13: fix cddb crash

* Thu Mar 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.20-5mdk
- Add patch10: "fix for crash when importing session failed."
- Add patch11: fix layout

* Thu Feb 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.20-4mdk
- Add patch9: fix diskdetection

* Tue Feb 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.20-3mdk
- Add patch8: fix sound file filter (bug found by Wilman)

* Mon Feb 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.20-2mdk
- Add patch7: fix detect device on buggy firmwares

* Fri Feb 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.20-1mdk
- 0.11.20

* Fri Feb 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.19-7mdk
- Make clean to ensure that we regenerate all po file fix "Burn..." not translated and other po problem
- Add patch6: fix translate

* Fri Feb 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.19-6mdk
- Add patch5: fix kde bug #96859 fix multi session

* Thu Jan 27 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.19-5mdk
- 0.11.19

* Thu Jan 13 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.18-5mdk
- Add patch5: fix delete dvd image

* Wed Dec 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.18-4mdk
- Fix crash when we can't find a writer device

* Wed Dec 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.18-3mdk
- Add debug

* Mon Dec 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.18-2mdk
- 0.11.18

* Thu Dec 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.17-2mdk
- fix spec file

* Fri Oct 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.17-1mdk
- 0.11.17

* Fri Oct 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.16-4mdk
- Remove requires kdebase not necessary

* Tue Sep 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.16-3mdk
- Add patch6: "fixed cd-text loading in audio projects"

* Fri Sep 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.16-2mdk
- Add patch5: fix detect speed

* Fri Sep 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.16-1mdk
- 0.11.16

* Fri Aug 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.14-7mdk
- Fix %%Name -> %%name

* Fri Aug 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.14-6mdk
- Fix icons link (bug found by Fred Crozat)

* Fri Aug 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.14-5mdk
- Fix again menu :(

* Tue Aug 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.14-4mdk
- Fix menu 

* Wed Aug 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.14-3mdk
- Fix url

* Tue Aug 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.14-2mdk
- Add patch4: fix k3b + kernel 2.6.8.1

* Tue Aug 10 2004 Laurent Culioli <laurent@mandrake.org> 0.11.14-1mdk
- 0.11.14
- spec cleanup

* Wed Aug 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.13-1mdk
- 0.11.13

* Wed Aug  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.11.12-4mdk
- rebuild for new flac

* Fri Jul 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.12-3mdk
- Minor spec file clean

* Fri Jul 30 2004 Laurent Culioli <laurent@mandrake.org> 0.11.12-2mdk
- Patch8 ( fix new dvd+rw-format detection )

* Fri Jun 25 2004 Laurent Culioli <laurent@mandrake.org> 0.11.12-1mdk
- 0.11.12

* Wed Jun 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.11-2mdk
- Fix obsolete

* Mon Jun 15 2004 Laurent Culioli <laurent@mandrake.org> 0.11.11-1mdk
- 0.11.11
- change major

* Fri Jun  4 2004  <lmontel@n2.mandrakesoft.com> 0.11.10-5mdk
- Rebuild

* Thu Jun 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.10-4mdk
- Rebuild to update src.rpm

* Tue Jun 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.10-3mdk
- 0.11.10

* Fri May 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.11.9-3mdk
- don't do stuff within parantheses
- fix buildrequires

* Sun Apr 18 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.11.9-2mdk
- fix buildrequires

* Tue Mar 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.9-1mdk
- 0.11.9
- Use %%configure
- Use mdkversion

* Thu Mar 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.7-1mdk
- 0.11.7

* Thu Mar 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.1-15mdk
- Add patch3: fix kcontrol->k3bsetup don't signal it as modified when we load config bug found by Nicolas Chipaux

* Tue Mar 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.1-14mdk
- Fix compile for gb
- Add patch2: fix servicemenu

* Tue Mar 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.1-13mdk
- Add patch1: don't display "cdrdao has problems with ATAPI writers" warning messagebox, it works fine without it

* Mon Mar 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.1-12mdk
- k3b-i18n was release

* Tue Feb 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.1-11mdk
- Fix crash 

* Thu Feb 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.1-10mdk
- Apply patch from Charles A Edwards <eslrahc@bellsouth.net> thanks

* Wed Feb 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.1-9mdk
- Sync with CVS

* Tue Feb 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.1-8mdk
- Fix menu entry

* Mon Feb 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.1-7mdk
- Rebuild with new kdedesktop2mdkmenu.pl

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.1-6mdk
- Sync with CVS (fix big problem "VideoDVD project did not work at all in 0.11.1")

* Thu Feb 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.1-4mdk
- Sync with k3b_0_11_branch
- Add patch8: fix rip crash (on DVD) bug found by Nicolas Chipaux

* Wed Jan 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.1-3mdk
- Use libflac

* Mon Jan 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.1-2mdk
- Build without libsample

* Mon Jan 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.11.1-1mdk
- 0.11.1 Fix broken mkisofs + kde 3.2 (problem into KProcess)

* Fri Jan 23 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.11-1mdk
- 0.11
- drop -fpermissive from %%optflags
- update %%files

* Mon Jan 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.10.3-7mdk
- Fix generate menu

* Mon Jan 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.10.3-6mdk
- Reverte VFolder menu type to 'menu' menu type

* Mon Dec 29 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.10.3-5mdk
- be sure to build and install locale files (fixes #6690)
- drop patche that wasn't applied

* Mon Dec 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.10.3-4mdk
- Fix conflict

* Mon Dec 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.10.3-3mdk
- Fix requires

* Mon Dec 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.10.3-2mdk
- Fix menu

* Mon Dec 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.10.3-1mdk
- 0.10.3

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.10.2-1mdk
- 0.10.2

* Tue Oct 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.10.1-1mdk
- 0.10.1

* Tue Oct 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.10-1mdk
- 0.10

* Wed Oct  8 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9-11mdk
- lib64 fixes

* Mon Sep 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9-10mdk
- Fix kdebase-servicemenu (Patch6)
- Patch7: don't display cdrecord dialogbox to say "You don't have root acces"

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9-8mdk
- Remove entry k3bsetup not necessary

* Mon Sep 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9-7mdk
- Fix requires
- Fix Obsoletes

* Mon Sep 01 2003 Laurent Culioli <laurent@pschit.net> 0.9-6mdk
- mklibification
- drop patch4 ( merged upstream )
- reintroduce some patches
   o patch0 ( dont run k3bsetup at startup )
   o patch1 ( default group and path )
   o patch3 ( drop /opt/blabla path )
- add really i18n
- clean specfile

* Tue Aug 26 2003 David Baudens <baudens@mandrakesoft.com> 0.9-5mdk
- Remove icon in servicemenu

* Tue Aug 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9-4mdk
- Add patch5: use excludeservicetype

* Sun Aug 03 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.9-3mdk
- drop unapplied patches
- from Angelo N. <random_lx@yahoo.com>:
	o changed 0.8-i18n in i18n-0.9

* Sat Jul 26 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9-2mdk
- rebuild
- use -fpermissive to allow compile

* Tue Jul 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9-1mdk
- 0.9

* Fri Jul 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.1-6mdk
- Add patch4: hide help button in wizard, it doesn't work

* Thu Jul 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.1-5mdk
- Add patch3

* Thu Jul 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.1-4mdk
- Fix requires

* Fri Mar 14 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.8.1-3mdk
- dlopen libcdda_{interface,paranoia}.so.0 instead of .so
- Requires libcdda0

* Sun Mar 02 2003 Laurent Culioli <laurent@pschit.net> 0.8.1-2mdk
- fix i18n build ( thanx to rcc )
- change default group ( cdrecorder -> cdwriter ) and default 
  path ( /cdrom -> /mnt/cdrom ) in k3bsetup ( thx to rcc )

* Fri Feb 28 2003 Laurent Culioli <laurent@pschit.net> 0.8.1-1mdk
- 0.8.1 ( lot of bugfixs )

* Wed Feb 12 2003 Laurent Culioli <laurent@pschit.net> 0.8-2mdk
- add i18n ( now in a separate tarball )
- patch0 : dont run k3bsetup a startup

* Tue Feb 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8-1mdk
- Update

* Tue Jan 16 2003 Laurent Culioli <laurent@pschit.net> 0.7.5-2mdk
- rebuild

* Sun Nov 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.5-1mdk
- 0.7.5

* Thu Nov 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.4-1mdk
- 0.7.4

* Mon Nov  4 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7.3-2mdk
- fix the rpmlint warnings about the menu
- requires kdesu
- add a libdir to the configure call
- add a clean section
- drop id3lib requires

* Fri Oct 18 2002 Laurent Culioli <laurent@pschit.net> 0.7.3-1mdk
- bump to 0.7.3

* Sat Sep 28 2002 Laurent Culioli <laurent@pschit.net> 0.7.1-1mdk
- bump to 0.7.1
- fix kdedesktop2mdkmenu.pl error

* Fri Aug 16 2002 Laurent Culioli <laurent@pschit.net> 0.7-4mdk
- Rebuild with gcc3.2

* Sat Aug 03 2002 Laurent Culioli <laurent@pschit.net> 0.7-3mdk
- Rebuild against libvorbis

* Fri Jun 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-2mdk
- Rebuild

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-1mdk
- 0.7

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.0-0.pre2.5mdk
- Rebuild

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.0-0.pre2.4mdk
- Rebuild against gcc3.1

* Fri Apr 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.0-0.pre2.3mdk
- Fix conflict with k3b from kde2 (bug reported by 
  Charles A Edwards <eslrahc@bellsouth.net> thanks a lot )

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.0-0.pre2.2mdk
- Fix update menu

* Wed Apr 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-0.pre2.1mdk
- Port to kde3


